package com.xhkjedu.controller;

import com.xhkjedu.model.EClassStudent;
import com.xhkjedu.model.EPaperStudent0608;
import com.xhkjedu.service.EPaperVerifyService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author ywx
 * @classname EPaperCorrectVerifyController
 * @description 考卷校验
 * @date 2024/6/8 14:36
 **/
@RestController
@RequestMapping("/ev")
public class EPaperVerifyController {
    @Resource
    private EPaperVerifyService ePaperVerifyService;

    //根据姓名搜索学生信息
    @PostMapping("/search_stu")
    public ResultVo listStudentByStudentname(@RequestBody EClassStudent student) {
        Integer examid = student.getExamid();
        String studentname = student.getStudentname();
        N_Utils.validation(new Object[]{examid, "考试id", 1, studentname, "姓名", 2});
        List<Map> list = ePaperVerifyService.listStudentByStudentname(examid, studentname, student.getClassid());
        return new ResultVo(0, "获取成功！", list);
    }

    //获取学生试卷及试题作答
    @PostMapping("/get_stuPaper")
    public ResultVo getStudentPaper(@RequestBody EPaperStudent0608 ps) {
        N_Utils.validation(new Object[]{ps.getExamid(), "考试id", 1, ps.getSubjectid(), "科目", 2,ps.getStudentid(),"学生id",1});
        Map map = ePaperVerifyService.getStudentPaper(ps);
        return new ResultVo(0, "获取成功！", map);
    }

    //识别正确跳过
    @PostMapping("/correct_skip")
    public ResultVo correctSkip(@RequestBody EPaperStudent0608 ps) {
        Integer epsid = ps.getEpsid();
        N_Utils.validation(new Object[]{epsid, "考试试卷学生id", 1});
        ePaperVerifyService.correctSkip(epsid);
        return new ResultVo(0, "识别成功！");
    }

}
